// Package org_accordproject_finance_bond_0_3_0 contains domain objects and was generated from Concerto namespace org.accordproject.finance.bond@0.3.0.
package org_accordproject_finance_bond_0_3_0
import "time"
import "org_accordproject_organization_0_2_0";
import "org_accordproject_time_0_3_0";
import "org_accordproject_money_0_3_0";
import "concerto_1_0_0";
   
type CouponType int
const (
   FIXED CouponType = 1 + iota
   FLOATING
)
type PaymentFrequency struct {
   concerto_1_0_0.Concept
   PeriodMultiplier int32 `json:"periodMultiplier"`
   Period Duration `json:"period"`
}
type Bond struct {
   concerto_1_0_0.Concept
   InstrumentId []string `json:"instrumentId"`
   Description string `json:"description"`
   Currency CurrencyCode `json:"currency"`
   ExchangeId []string `json:"exchangeId"`
   ClearanceSystem string `json:"clearanceSystem"`
   Definition string `json:"definition"`
   Seniority string `json:"seniority"`
   CouponType CouponType `json:"couponType"`
   CouponRate float64 `json:"couponRate"`
   Maturity time.Time `json:"maturity"`
   ParValue float64 `json:"parValue"`
   FaceAmount float64 `json:"faceAmount"`
   PaymentFrequency PaymentFrequency `json:"paymentFrequency"`
   DayCountFraction string `json:"dayCountFraction"`
   Issuer *Organization `json:"issuer"`
}
type BondAsset struct {
   concerto_1_0_0.Asset
   ISINCode string `json:"ISINCode"`
   Bond Bond `json:"bond"`
}
